package cd.casic.ci.common.pipeline.option;

import cd.casic.ci.common.pipeline.matrix.DispatchInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.regex.Pattern;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.option
 * @Project：ops-pro
 * @name：MatrixControlOption
 * @Date：2025/03/25 17:59
 * @Filename：MatrixControlOption
 * @description：Todo
 */
@Data
@Schema(title = "构建矩阵配置项模型")
public class MatrixControlOption {
    private static final long serialVersionUID = 1L;

    private static final Pattern MATRIX_JSON_KEY_PATTERN = Pattern.compile("^(fromJSON\\()([^)]+)\\)$");
    private static final Logger logger = LoggerFactory.getLogger(MatrixControlOption.class);
    private static final int MATRIX_CASE_MAX_COUNT = 256;

    @Schema(title = "分裂策略（支持变量、Json、参数映射表）", required = true)
    private String strategyStr; // Map<String, List<String>>

    @Schema(title = "额外的参数组合（变量名到特殊值映射的数组）", required = false)
    private String includeCaseStr; // List<Map<String, String>>

    @Schema(title = "排除的参数组合（变量名到特殊值映射的数组）", required = false)
    private String excludeCaseStr; // List<Map<String, String>>

    @Schema(title = "是否启用容器失败快速终止整个矩阵", required = false)
    private Boolean fastKill = false;

    @Schema(title = "Job运行的最大并发量", required = false)
    private Integer maxConcurrency = 5;

    @Schema(title = "自定义调度类型（用于生成DispatchType的任意对象）", required = false)
    private DispatchInfo customDispatchInfo; // DispatchTypeParser的传入和解析保持一致即可

    @Schema(title = "矩阵组的总数量", required = false)
    private Integer totalCount;

    @Schema(title = "完成执行的数量", required = false)
    private Integer finishCount;
}
