package cd.casic.ci.common.pipeline.utils;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.ci.common.pipeline.pojo.element.quality.QualityGateInElement;
import cd.casic.ci.common.pipeline.pojo.element.quality.QualityGateOutElement;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.utils
 * @Project：ops-pro
 * @name：ElementUtils
 * @Date：2025/03/26 15:42
 * @Filename：ElementUtils
 * @description：Todo
 */
public class ElementUtils {
    public static final String skipPrefix = "devops_container_condition_skip_atoms_";

    public static String getSkipElementVariableName(String elementId) {
        return skipPrefix + elementId;
    }

    public static boolean getTaskAddFlag(Element element, boolean stageEnableFlag, boolean containerEnableFlag, boolean originMatrixContainerFlag) {
        if (originMatrixContainerFlag) {
            return false;
        }
        var elementPostInfo = element.getAdditionalOptions().getElementPostInfo();
        var qualityAtomFlag = element instanceof QualityGateInElement || element instanceof QualityGateOutElement;
        var enableFlag = stageEnableFlag && containerEnableFlag && element.elementEnabled();
        return enableFlag || elementPostInfo != null || qualityAtomFlag;
    }
}
