package cd.casic.pipeline.dispatch.pojo;

import cd.casic.pipeline.dispatch.pojo.enums.JobQuotaVmType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname RunningJobVO
 * @Description TODO
 * @Date 2025/4/8 16:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "项目的JOB配额")
public class RunningJobVO {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "构建机类型", required = true)
    private JobQuotaVmType vmType;
    @Schema(title = "项目最大并发JOB数， 默认50", required = false)
    private Integer runningJobMax;
    @Schema(title = "项目单JOB最大执行时间，默认8小时", required = false)
    private Integer runningTimeJobMax;
    @Schema(title = "项目所有JOB最大执行时间，默认40小时/月", required = false)
    private Integer runningTimeProjectMax;
    @Schema(title = "创建时间", required = false)
    private Long createdTime;
    @Schema(title = "修改时间", required = false)
    private Long updatedTime;
    @Schema(title = "操作人", required = false)
    private String operator;
}
