package cd.casic.ci.log.dal.pojo;

import cd.casic.ci.log.dal.pojo.enums.LogStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author by mianbin
 * @Classname QueryLogs
 * @Date 2025/3/19 17:48
 */
@Data
@Schema(description = "日志查询模型")
public class QueryLogs {
    @Schema(description = "构建ID", required = true)
    private String buildId;
    @Schema(description = "是否结束", required = true)
    private boolean finished;
    @Schema(description = "是否有后续日志")
    private boolean hasMore = false;
    @Schema(description = "日志列表", required = true)
    // listOf() 不可变 ; mutableListOf 生成可变数组
    private List<LogLine> logs = new ArrayList<>();
    @Schema(description = "所用时间", required = false)
    private long timeUsed = 0;
    @Schema(description = "日志查询状态", required = false)
    private int status = LogStatusEnum.SUCCEED.status;
    @Schema(description = "日志子tag列表", required = false)
    private List<String> subTags = null;
    @Schema(description = "错误信息", required = false)
    private String message = null;
}
