package cd.casic.ci.process.api.process.pojo.pipeline;


import cd.casic.ci.common.pipeline.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ModelDetail
 * @Description TODO
 * @Date 2025/3/31 17:31
 */
@Data
@AllArgsConstructor
@Schema(title = "构建详情-构建信息")
public class ModelDetail {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "启动用户", required = true)
    private String userId;
    @Schema(title = "触发用户", required = true)
    private String triggerUser;
    @Schema(title = "触发条件", required = true)
    private String trigger;
    @Schema(title = "Start time", required = true)
    private Long startTime;
    @Schema(title = "End time", required = false)
    private Long endTime;
    @Schema(title = "Build status", required = true)
    private String status;
    @Schema(title = "Build Model", required = true)
    private Model model;
    @Schema(title = "服务器当前时间戳", required = true)
    private Long currentTimestamp;
    @Schema(title = "构建号", required = true)
    private Integer buildNum;
    @Schema(title = "取消构建的用户", required = false)
    private String cancelUserId;
    @Schema(title = "本次执行的编排版本号", required = true)
    private Integer curVersion;
    @Schema(title = "流水线当前最新版本号", required = true)
    private Integer latestVersion;
    @Schema(title = "最新一次的构建buildNo", required = true)
    private Integer latestBuildNum;
    @Schema(title = "最近修改人", required = true)
    private String lastModifyUser;
    @Schema(title = "执行耗时（排除系统耗时）流水线执行结束时才赋值", required = true)
    private Long executeTime = 0L;
    @Schema(title = "触发审核人列表", required = false)
    private java.util.List<String> triggerReviewers;
    @Schema(title = "是否为调试构建", required = false)
    private Boolean debug = false;
}
