package cd.casic.ci.log.scm.api;


import cd.casic.ci.log.scm.dal.pojo.Repository;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.log.scm.enums.RepositoryType;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "服务-代码库资源")
@RequestMapping("/service/repositories")
public interface ServiceRepositoryResource {

    @Operation(summary = "获取git代码库详情")
    @GetMapping("/{projectId}/{repositoryId}")
    CommonResult<Repository> get(
            @Parameter(description = "用户ID", required = true)
            @PathVariable
            String projectId,
            @Parameter(description = "代码库哈希ID或代码库名称", required = true)
            @PathVariable
            String repositoryId,
            @Parameter(description = "代码库请求类型", required = true)
            RepositoryType repositoryType
            );
}
