package cd.casic.ci.log.scm.dal.pojo.oauth;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Schema(description = "Token模型")
@NoArgsConstructor
@AllArgsConstructor
public class GitToken {

    @Schema(description = "鉴权token", name = "access_token")
    @JsonProperty("access_token")
    private String accessToken = "";

    @Schema(description = "刷新token", name = "refresh_token")
    @JsonProperty("refresh_token")
    private String refreshToken = "";

    @Schema(description = "token类型", name = "token_type")
    @JsonProperty("token_type")
    private String tokenType = "";

    @Schema(description = "过期时间", name = "expires_in")
    @JsonProperty("expires_in")
    private Long expiresIn = 0L;

    @Schema(description = "创建时间")
    private Long createTime = 0L;
}
