package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.atom.Atom;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Tag(name = "OP_ATOM", description = "插件-运营")
@RestController
@RequestMapping("/op/market/atom")
public interface OpAtomResource {

    @Operation(summary = "获取插件详情")
    @GetMapping("/{atomCode}")
    CommonResult<Atom> getAtom(
        @Parameter(description = "插件代码", required = true)
        @PathVariable("atomCode")
        String atomCode
    );
}