package cd.casic.pipeline.store.pojo.common.handler;

public interface HandlerChain<T extends HandlerRequest> {

    default void handleRequest(T handlerRequest) {
        Handler<T> next = nextHandler(handlerRequest);
        if (next != null) {
            next.doExecute(handlerRequest, this);
        }
    }

    Handler<T> nextHandler(T handlerRequest);
}