package cd.casic.pipeline.store.pojo.common.index;

import cd.casic.pipeline.store.pojo.common.enums.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "新增指标请求报文体")
public class StoreIndexCreateRequest {
    @Schema(title = "指标代码", required = true)
    private String indexCode;
    
    @Schema(title = "指标名称", required = true)
    private String indexName;
    
    @Schema(title = "指标描述", required = true)
    private String description;
    
    @Schema(title = "等级信息", required = true)
    private List<StoreIndexLevelInfo> levelInfos;
    
    @Schema(title = "运算类型", required = true)
    private IndexOperationTypeEnum operationType;
    
    @Schema(title = "指标对应的插件件代码")
    private String atomCode;
    
    @Schema(title = "指标对应的插件版本")
    private String atomVersion;
    
    @Schema(title = "指标执行时机类型", required = true)
    private IndexExecuteTimeTypeEnum executeTimeType;
    
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "指标展示权重", required = true)
    private Integer weight;
}