package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.PublisherType;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "发布者信息")
public class PublisherInfo {
    @Schema(title = "ID")
    private String id;
    
    @Schema(title = "发布者标识")
    private String publisherCode;
    
    @Schema(title = "发布者名称")
    private String publisherName;
    
    @Schema(title = "发布者类型")
    private PublisherType publisherType;
    
    @Schema(title = "主体负责人")
    private String owners;
    
    @Schema(title = "技术支持")
    private String helper;
    
    @Schema(title = "一级部门ID")
    private int firstLevelDeptId;
    
    @Schema(title = "一级部门名称")
    private String firstLevelDeptName;
    
    @Schema(title = "二级部门ID")
    private int secondLevelDeptId;
    
    @Schema(title = "二级部门名称")
    private String secondLevelDeptName;
    
    @Schema(title = "三级部门ID")
    private int thirdLevelDeptId;
    
    @Schema(title = "三级部门名称")
    private String thirdLevelDeptName;
    
    @Schema(title = "四级部门ID")
    private Integer fourthLevelDeptId;
    
    @Schema(title = "四级部门名称")
    private String fourthLevelDeptName;
    
    @Schema(title = "实体组织架构")
    private String organizationName;
    
    @Schema(title = "所属工作组BG")
    private String bgName;
    
    @Schema(title = "是否认证")
    private boolean certificationFlag;
    
    @Schema(title = "组件类型")
    private StoreTypeEnum storeType;
    
    @Schema(title = "创建人")
    private String creator;
    
    @Schema(title = "最近修改人")
    private String modifier;
    
    @Schema(title = "创建时间")
    private LocalDateTime createTime;
    
    @Schema(title = "更新时间")
    private LocalDateTime updateTime;
}