package cd.casic.pipeline.store.pojo.image.enums;

import lombok.Getter;

import java.util.HashSet;
import java.util.Set;

@Getter
public enum ImageStatusEnum {
    INIT(0), // 初始化
    COMMITTING(1), // 提交中
    CHECKING(2), // 验证中
    CHECK_FAIL(3), // 验证失败
    TESTING(4), // 测试中
    AUDITING(5), // 审核中
    AUDIT_REJECT(6), // 审核驳回
    RELEASED(7), // 已发布
    GROUNDING_SUSPENSION(8), // 上架中止
    UNDERCARRIAGING(9), // 下架中
    UNDERCARRIAGED(10); // 已下架

    private final int status;

    ImageStatusEnum(int status) {
        this.status = status;
    }

    public static ImageStatusEnum getImageStatus(String name) {
        for (ImageStatusEnum enumObj : values()) {
            if (enumObj.name().equals(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getImageStatus(int status) {
        switch (status) {
            case 0: return INIT.name();
            case 1: return COMMITTING.name();
            case 2: return CHECKING.name();
            case 3: return CHECK_FAIL.name();
            case 4: return TESTING.name();
            case 5: return AUDITING.name();
            case 6: return AUDIT_REJECT.name();
            case 7: return RELEASED.name();
            case 8: return GROUNDING_SUSPENSION.name();
            case 9: return UNDERCARRIAGING.name();
            case 10: return UNDERCARRIAGED.name();
            default: return INIT.name();
        }
    }

    public static Set<Integer> getInprocessStatusSet() {
        Set<Integer> set = new HashSet<>();
        set.add(INIT.status);
        set.add(COMMITTING.status);
        set.add(CHECKING.status);
        set.add(TESTING.status);
        set.add(GROUNDING_SUSPENSION.status);
        set.add(AUDITING.status);
        set.add(UNDERCARRIAGING.status);
        return set;
    }

    public static Set<Integer> getFinishedStatusSet() {
        Set<Integer> set = new HashSet<>();
        set.add(CHECK_FAIL.status);
        set.add(AUDIT_REJECT.status);
        set.add(RELEASED.status);
        set.add(UNDERCARRIAGED.status);
        return set;
    }
}